> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取订阅套餐

> 获取全部可选订阅套餐及定价与权益列表。

## 概述

返回所有可选订阅套餐。本接口为**公开**接口，无需认证，适合在应用中展示定价信息。

## 套餐一览

| 套餐           | 每月积分   | 价格（美元）    |
| ------------ | ------ | --------- |
| Starter      | 500    | \$4.99/月  |
| Professional | 3,000  | \$12.99/月 |
| Business     | 10,000 | \$29.99/月 |
| Agency       | 30,000 | \$69.99/月 |

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/subscriptions/plans
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.llmgenerator.com/api/v1/subscriptions/plans');
  const data = await response.json();
  console.log(data.plans);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get('https://api.llmgenerator.com/api/v1/subscriptions/plans')
  data = response.json()
  print(data['plans'])
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "plans": [
      {
        "id": "starter",
        "name": "Starter",
        "monthlyCredits": 500,
        "price": 4.99,
        "features": [
          "500 credits/month",
          "Email support",
          "Basic analytics"
        ]
      },
      {
        "id": "professional",
        "name": "Professional",
        "monthlyCredits": 3000,
        "price": 12.99,
        "features": [
          "3,000 credits/month",
          "Priority support",
          "Advanced analytics",
          "API access"
        ]
      },
      {
        "id": "business",
        "name": "Business",
        "monthlyCredits": 10000,
        "price": 29.99,
        "features": [
          "10,000 credits/month",
          "Dedicated support",
          "Custom integrations",
          "Team management"
        ]
      },
      {
        "id": "agency",
        "name": "Agency",
        "monthlyCredits": 30000,
        "price": 69.99,
        "features": [
          "30,000 credits/month",
          "White-label options",
          "Priority processing",
          "Custom solutions"
        ]
      }
    ]
  }
  ```
</ResponseExample>

## 响应字段

<ResponseField name="plans" type="array">
  订阅套餐对象数组。

  <Expandable title="套餐对象字段">
    <ResponseField name="id" type="string">
      套餐唯一标识。创建结账会话时使用。
    </ResponseField>

    <ResponseField name="name" type="string">
      可读套餐名称。
    </ResponseField>

    <ResponseField name="monthlyCredits" type="integer">
      每月包含的积分数。
    </ResponseField>

    <ResponseField name="price" type="number">
      月价（美元）。
    </ResponseField>

    <ResponseField name="features" type="array">
      该套餐包含的权益列表。
    </ResponseField>
  </Expandable>
</ResponseField>

## 使用场景

* **定价页**：向潜在客户展示可选套餐
* **套餐对比**：帮助用户选择合适的档位
* **升级提示**：向现有订阅用户展示可升级选项
